<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>Test</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Test";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Test.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h2 title="Class Test" class="title">Class Test</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Test</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Test</span>
extends java.lang.Object</pre>
<div class="block">Theme park application. Test Class.
 Management of attendance, attractions and staff.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ATTRACTION_MAX">ATTRACTION_MAX</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ATTRACTION_MAX_DEACTIVATE">ATTRACTION_MAX_DEACTIVATE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ATTRACTION_TYPE_A">ATTRACTION_TYPE_A</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ATTRACTION_TYPE_B">ATTRACTION_TYPE_B</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ATTRACTION_TYPE_C">ATTRACTION_TYPE_C</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ATTRACTION_TYPE_D">ATTRACTION_TYPE_D</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ATTRACTION_TYPE_E">ATTRACTION_TYPE_E</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TEST_YEAR">TEST_YEAR</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKECT_LABORABLE">TICKECT_LABORABLE</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_AFTERNOON">TICKET_AFTERNOON</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_FAMILY">TICKET_FAMILY</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_GENERAL">TICKET_GENERAL</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_MAX_ADULTS">TICKET_MAX_ADULTS</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#TICKET_MAX_CHILDREN">TICKET_MAX_CHILDREN</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Test</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addAttractions(controller.AttractionController)">addAttractions</a></span>&#8203;(<a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;controller)</code></th>
<td class="colLast">
<div class="block">Add Attractions and deactivate for ATTRACTION_MAX_DEACTIVATE days</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addRideAttraction(ticket.Ticket,controller.AttractionController)">addRideAttraction</a></span>&#8203;(<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
                 <a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;attractionController)</code></th>
<td class="colLast">
<div class="block">Add to ride attraction statistics all ticket persons</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addTicketsAndRide(controller.TicketController,controller.AttractionController)">addTicketsAndRide</a></span>&#8203;(<a href="controller/TicketController.html" title="class in controller">TicketController</a>&nbsp;ticketController,
                 <a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;attractionController)</code></th>
<td class="colLast">
<div class="block">Add Tickets and ride attraction for ticket persons</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#configAdult(ticket.Ticket,boolean,boolean)">configAdult</a></span>&#8203;(<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
           boolean&nbsp;createPerson,
           boolean&nbsp;vipSupplement)</code></th>
<td class="colLast">
<div class="block">Configure or create a new adult person into ticket</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#configChildren(ticket.Ticket,boolean)">configChildren</a></span>&#8203;(<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
              boolean&nbsp;vipSupplement)</code></th>
<td class="colLast">
<div class="block">Add new infant person into ticket</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>private void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deactivateAttraction(controller.AttractionController,attractions.Attraction)">deactivateAttraction</a></span>&#8203;(<a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;controller,
                    <a href="attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction)</code></th>
<td class="colLast">
<div class="block">Deactivate attraction</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>private <a href="ticket/Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTicketByType(controller.TicketTypeController,java.lang.String,boolean)">getTicketByType</a></span>&#8203;(<a href="controller/TicketTypeController.html" title="class in controller">TicketTypeController</a>&nbsp;typeController,
               java.lang.String&nbsp;type,
               boolean&nbsp;vipSuplement)</code></th>
<td class="colLast">
<div class="block">Return a type indicate ticket with ramdon date and ramdon person number.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>private <a href="ticket/Ticket.html" title="class in ticket">Ticket</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTicketFamily(controller.TicketTypeController)">getTicketFamily</a></span>&#8203;(<a href="controller/TicketTypeController.html" title="class in controller">TicketTypeController</a>&nbsp;typeController)</code></th>
<td class="colLast">
<div class="block">Return a family ticket with ramdon date</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="ATTRACTION_MAX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTRACTION_MAX</h4>
<pre>private static final&nbsp;int ATTRACTION_MAX</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.ATTRACTION_MAX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ATTRACTION_TYPE_A">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTRACTION_TYPE_A</h4>
<pre>private static final&nbsp;int ATTRACTION_TYPE_A</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.ATTRACTION_TYPE_A">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ATTRACTION_TYPE_B">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTRACTION_TYPE_B</h4>
<pre>private static final&nbsp;int ATTRACTION_TYPE_B</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.ATTRACTION_TYPE_B">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ATTRACTION_TYPE_C">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTRACTION_TYPE_C</h4>
<pre>private static final&nbsp;int ATTRACTION_TYPE_C</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.ATTRACTION_TYPE_C">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ATTRACTION_TYPE_D">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTRACTION_TYPE_D</h4>
<pre>private static final&nbsp;int ATTRACTION_TYPE_D</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.ATTRACTION_TYPE_D">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ATTRACTION_TYPE_E">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTRACTION_TYPE_E</h4>
<pre>private static final&nbsp;int ATTRACTION_TYPE_E</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.ATTRACTION_TYPE_E">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="ATTRACTION_MAX_DEACTIVATE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTRACTION_MAX_DEACTIVATE</h4>
<pre>private static final&nbsp;int ATTRACTION_MAX_DEACTIVATE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.ATTRACTION_MAX_DEACTIVATE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TEST_YEAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_YEAR</h4>
<pre>private static final&nbsp;int TEST_YEAR</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.TEST_YEAR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_AFTERNOON">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_AFTERNOON</h4>
<pre>private static final&nbsp;int TICKET_AFTERNOON</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.TICKET_AFTERNOON">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_FAMILY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_FAMILY</h4>
<pre>private static final&nbsp;int TICKET_FAMILY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.TICKET_FAMILY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_GENERAL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_GENERAL</h4>
<pre>private static final&nbsp;int TICKET_GENERAL</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.TICKET_GENERAL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKECT_LABORABLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKECT_LABORABLE</h4>
<pre>private static final&nbsp;int TICKECT_LABORABLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.TICKECT_LABORABLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_MAX_ADULTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TICKET_MAX_ADULTS</h4>
<pre>private static final&nbsp;int TICKET_MAX_ADULTS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.TICKET_MAX_ADULTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a id="TICKET_MAX_CHILDREN">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TICKET_MAX_CHILDREN</h4>
<pre>private static final&nbsp;int TICKET_MAX_CHILDREN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="constant-values.html#Test.TICKET_MAX_CHILDREN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Test</h4>
<pre>public&nbsp;Test()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addAttractions(controller.AttractionController)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAttractions</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addAttractions&#8203;(<a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;controller)</pre>
<div class="block">Add Attractions and deactivate for ATTRACTION_MAX_DEACTIVATE days</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>controller</code> - </dd>
</dl>
</li>
</ul>
<a id="addRideAttraction(ticket.Ticket,controller.AttractionController)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addRideAttraction</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;addRideAttraction&#8203;(<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
                               <a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;attractionController)</pre>
<div class="block">Add to ride attraction statistics all ticket persons</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ticket</code> - </dd>
<dd><code>attractionController</code> - </dd>
</dl>
</li>
</ul>
<a id="addTicketsAndRide(controller.TicketController,controller.AttractionController)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTicketsAndRide</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addTicketsAndRide&#8203;(<a href="controller/TicketController.html" title="class in controller">TicketController</a>&nbsp;ticketController,
                              <a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;attractionController)</pre>
<div class="block">Add Tickets and ride attraction for ticket persons</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ticketController</code> - </dd>
<dd><code>attractionController</code> - </dd>
</dl>
</li>
</ul>
<a id="deactivateAttraction(controller.AttractionController,attractions.Attraction)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deactivateAttraction</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;deactivateAttraction&#8203;(<a href="controller/AttractionController.html" title="class in controller">AttractionController</a>&nbsp;controller,
                                  <a href="attractions/Attraction.html" title="class in attractions">Attraction</a>&nbsp;attraction)</pre>
<div class="block">Deactivate attraction</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>controller</code> - </dd>
<dd><code>attraction</code> - </dd>
</dl>
</li>
</ul>
<a id="getTicketFamily(controller.TicketTypeController)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTicketFamily</h4>
<pre class="methodSignature">private&nbsp;<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;getTicketFamily&#8203;(<a href="controller/TicketTypeController.html" title="class in controller">TicketTypeController</a>&nbsp;typeController)</pre>
<div class="block">Return a family ticket with ramdon date</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>typeController</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ticket</dd>
</dl>
</li>
</ul>
<a id="getTicketByType(controller.TicketTypeController,java.lang.String,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTicketByType</h4>
<pre class="methodSignature">private&nbsp;<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;getTicketByType&#8203;(<a href="controller/TicketTypeController.html" title="class in controller">TicketTypeController</a>&nbsp;typeController,
                               java.lang.String&nbsp;type,
                               boolean&nbsp;vipSuplement)</pre>
<div class="block">Return a type indicate ticket with ramdon date and ramdon person number.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>typeController</code> - </dd>
<dd><code>type</code> - </dd>
<dd><code>vipSuplement</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Ticket</dd>
</dl>
</li>
</ul>
<a id="configAdult(ticket.Ticket,boolean,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configAdult</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;configAdult&#8203;(<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
                         boolean&nbsp;createPerson,
                         boolean&nbsp;vipSupplement)</pre>
<div class="block">Configure or create a new adult person into ticket</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ticket</code> - </dd>
<dd><code>createPerson</code> - </dd>
<dd><code>vipSupplement</code> - </dd>
</dl>
</li>
</ul>
<a id="configChildren(ticket.Ticket,boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>configChildren</h4>
<pre class="methodSignature">private&nbsp;void&nbsp;configChildren&#8203;(<a href="ticket/Ticket.html" title="class in ticket">Ticket</a>&nbsp;ticket,
                            boolean&nbsp;vipSupplement)</pre>
<div class="block">Add new infant person into ticket</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ticket</code> - </dd>
<dd><code>vipSupplement</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Test.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
